Topic: ImageMagick 6.9.10-x Issue

On a CentOS 7.x box, we recently updated ImageMagick from the remi 6.9.9.51 rpms to:

ImageMagick6-6.9.10.0-1.el7.remi.x86_64.rpm
ImageMagick6-devel-6.9.10.0-1.el7.remi.x86_64.rpm
ImageMagick6-libs-6.9.10.0-1.el7.remi.x86_64.rpm
ImageMagick6-perl-6.9.10.0-1.el7.remi.x86_64.rpm

and then applied the subsequent update so that we are now running:

ImageMagick6-libs-6.9.10.2-1.el7.remi.x86_64
ImageMagick6-6.9.10.2-1.el7.remi.x86_64
ImageMagick6-devel-6.9.10.2-1.el7.remi.x86_64
ImageMagick6-perl-6.9.10.2-1.el7.remi.x86_64

Both updates installed without issue.

Based on the notice when both were installed:

WARNING : ImageMagick6 modules directory have changed.
You need to restart some services to take care of
the new location (e.g. httpd, php-fpm).

we restarted relevant daemons.

After the update, convert -ver | grep Q16 is showing the new version as
being active:

Version: ImageMagick 6.9.10-2 Q16 x86_64 2018-06-19

When we try to run a simple command line perl script that we use to test IM, we get an error message.

BEGIN failed--compilation aborted at ./test.pl line 7.
&Image::Magick::Q16::constant not defined. The required ImageMagick
libraries are not installed or not installed properly.

The script worked fine in 6.9.9-x.

If we do a manual install of the current version of Image::Magick from CPAN and recompile it, functionality is restored.

Could you please check the latest 6.9.10-x packages to see if there is anything missing in relation to the modules directory having been changed (perhaps the Q16 module isn't compiled in)?

Thanks in advance.

Re: ImageMagick 6.9.10-x Issue

Thanks for the report.

I don't see anything evident diffing both version.

Do you have some minimal test script ?

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: ImageMagick 6.9.10-x Issue

Ok, got something

# perl demo.pl 
Invalid version format (non-numeric data) at /usr/lib64/perl5/DynaLoader.pm line 213.
Compilation failed in require at /usr/share/perl5/vendor_perl/parent.pm line 20.
BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/Image/Magick.pm line 22.
Compilation failed in require at demo.pl line 8.
BEGIN failed--compilation aborted at demo.pl line 8.
&Image::Magick::Q16::constant not defined. The required ImageMagick libraries are not installed or not installed properly.
END failed--call queue aborted at demo.pl line 8.

Same script run correctly on Fedora, so perl seems old and can explain the issue...

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: ImageMagick 6.9.10-x Issue

Should be fixed by
https://git.remirepo.net/cgit/rpms/Imag … 84431c8099

Please try version 6.9.10.2-2

Reported upstream as https://github.com/ImageMagick/ImageMagick6/issues/11

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: ImageMagick 6.9.10-x Issue

Awesome, that fixed it.

Thanks!

Re: ImageMagick 6.9.10-x Issue

Thanks for the feeeback.

smile

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test